<?php
/**
 * Klasa slownika
 *
 */
class MfDictionary  extends DataObject {

	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_dictionary';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_dictionary';
		
	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 */
	static $fields = array(
		'id_mf_dictionary' =>'id',
		'keyword' =>'keyword',
		'lang' =>'lang',
		'replacement' =>'replacement',
		//"(SELECT en.replacement FROM mf_dictionary en  WHERE 1=1 AND MfDictionary_keyword = en.keyword AND lang = 'en')" =>'replacementEn'
	);

	protected $id;
	private $keyword;
	private $lang;
	private $replacement;
	private $replacementEn;
	private $replacementFr;
	private $replacementDe;
	private $replacementUa;
	private $replacementNo;
	private $replacementRu;

    public function GetId() {
        return $this->id;
    }

    public function SetId($id) {
        $this->id = $id;
    }

	public function GetKeyword() {
		return $this->keyword;
	}

	public function SetKeyword($keyword) {
		$this->keyword = $keyword;
	}

	public function GetLang() {
		return $this->lang;
	}

	public function SetLang($lang) {
		$this->lang = $lang;
	}

	public function GetReplacement() {
		return $this->replacement;
	}

	public function SetReplacement($replacement) {
		$this->replacement = $replacement;
	}

	public function GetReplacementEn() {
		return $this->replacementEn;
	}

	public function SetReplacementEn($replacement) {
		$this->replacementEn = $replacement;
	}

	public function GetReplacementFr() {
		return $this->replacementFr;
	}

	public function SetReplacementFr($replacement) {
		$this->replacementFr = $replacement;
	}

	public function GetReplacementDe() {
		return $this->replacementDe;
	}

	public function SetReplacementDe($replacement) {
		$this->replacementDe = $replacement;
	}

	public function GetReplacementUa() {
		return $this->replacementUa;
	}

	public function SetReplacementUa($replacement) {
		$this->replacementUa = $replacement;
	}

	public function GetReplacementNo() {
		return $this->replacementNo;
	}

	public function SetReplacementNo($replacement) {
		$this->replacementNo = $replacement;
	}

	public function GetReplacementRu() {
		return $this->replacementRu;
	}

	public function SetReplacementRu($replacement) {
		$this->replacementRu = $replacement;
	}



	public function __construct($id = -1) {

	}

	 /**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */

	public  function GetTableName(){
		return self::$tableName;
      }
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
      }
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
      }


    public function GetClassTablePK() {
        return self::$classTablePK;
    }
}
?>